module MassHighways
  class EventFeed
    FeedUrl = 'http://www.massdot.state.ma.us/feeds/MARoadwayEventsXML.aspx'

    def self.retrieve
      response = Excon.get FeedUrl
      doc = Nokogiri::XML(response.body)

      events = doc.search('ERS_Events Events Event')

      events.map do |event|
        Event.parse event
      end
    end
  end
end
