module MassHighways
  class TravelFeed
    FeedUrl = 'http://www.massdot.state.ma.us/feeds/traveltimes/RTTM_feed.aspx'

    def self.retrieve
      response = Excon.get FeedUrl
      doc = Nokogiri::XML(response.body)

      pairs = doc.search('btdata TRAVELDATA PAIRDATA')

      pairs.map do |pair|
        Pair.parse pair
      end
    end
  end
end
